<?php
/*
 Plugin Name: BuddyPress Pending Activations
 Plugin URI: http://wordpress.org/extend/plugins/buddypress-pending-activations/
 Description: Manage pending member activations (keys) for main BuddyPress installation - (not for multisite blogs signups - yet.)
 Author: rich fuller - rich! @ etiviti
 Author URI: http://buddypress.org/developers/nuprn1/
 License: GNU GENERAL PUBLIC LICENSE 3.0 http://www.gnu.org/licenses/gpl.txt
 Version: 0.2.0
 Text Domain: bp-pending-activations
 Site Wide Only: true
*/

/* Only load code that needs BuddyPress to run once BP is loaded and initialized. */
function bp_pending_activations_init() {

    require( dirname( __FILE__ ) . '/bp-pending-activations.php' );
	
}
add_action( 'bp_init', 'bp_pending_activations_init' );

//add admin_menu page
function bp_pending_activations_admin_add_admin_menu() {
	global $bp;
	
	if ( !is_super_admin() )
		return false;

	//don't load for MS
	if ( bp_core_is_multisite() )
		return false;

	//Add the component's administration tab under the "BuddyPress" menu for site administrators
	require ( dirname( __FILE__ ) . '/admin/bp-pending-activations-admin.php' );

	$count = sprintf( __('Pending Activations (%s)'), bp_pending_activations_users_count() );

	add_submenu_page( 'bp-general-settings', __( 'Pending Activations', 'bp-pending-activations' ), $count, 'manage_options', 'bp-pending-activations-settings', 'bp_pending_activations_admin' );	

	//set up defaults

}

//loader file never works - as it doesn't hook the admin_menu
if ( defined( 'BP_VERSION' ) ) {
	add_action( 'admin_menu', 'bp_pending_activations_admin_init' );
} else {
	add_action( 'bp_init', 'bp_pending_activations_admin_init');
}

function bp_pending_activations_admin_init() {
	add_action( 'admin_menu', 'bp_pending_activations_admin_add_admin_menu', 15 );
}

?>